@extends('layouts.admin.app')

@section('content')

    <main id="main" class="main">
        @if( Session::get('permissions.user_type') == 'A' || Session::get('permissions.user_type') == 'SA')
            <div class="container-fluid">
                <div class="row">
                    <div class="col-12">
                        <div class="card">
                            <div class="card-body">
                                <div class="product-search">
                                    <div class="prod-search-title">
                                        <h5 class="card-title">
                                            Product List
                                        </h5>
                                    </div>
                                </div>
                                <div class="table-responsive">
                                    <table id="zero_config" class="table table-striped table-bordered">
                                        <thead>
                                            <tr>
                                                <th style="width: 5%"><b>No.</b></th>
                                                <th style="width: 10%"><b>Image</b></th>
                                                <th style="width: 25%"><b>Title</b></th>
                                                <th style="width: 5%"><b>SKU</b></th>
                                                <th style="width: 42%"><b>Category</b></th>
                                                <th style="width: 4%"><b>Price</b></th>
                                                <th style="width: 9%"><b>Status</b></th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            @php $i = 0; @endphp
                                            @foreach($product as $products)
                                            @php $i++; @endphp
                                                <tr>
                                                    <td>{{$i}}</td>
                                                    <td>
                                                        @php 
                                                            $imagename = App\Http\Helper1::get_image($products->id);
                                                        @endphp

                                                        @if(isset($imagename) && $imagename->name != null )
                                                            <img src="https://giftbasketsbrazil.rightflorist.org/uploaded/product/{{$imagename->name}}" style="width:90px; height: auto;"  >
                                                        @else
                                                            <img src="https://giftbasketsbrazil.rightflorist.org/uploaded/no_image.jpg" style="width:90px; height: auto;"  >
                                                        @endif
                                                    </td>
                                                    <td>{{$products->product_name}}</td>
                                                    <td>{{$products->fnid}}</td>
                                                    <td></td>
                                                    <td>{{$products->price}}</td>
                                                    <td><a href="{{url('admin/status/')}}/{{ $products->id }}"><button
                                                        type="button" class="btn btn-success">Status</button></a>
                                                    </td>
                                                </tr>
                                            @endforeach
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        @endif    
        
    </main><!-- End #main -->
            
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-YvpcrYf0tY3lHB60NNkmXc5s9fDVZLESaAA55NDzOxhy9GkcIdslK1eN7N6jIeHz" crossorigin="anonymous"></script>

@endsection
