<?php $__env->startSection('content'); ?>

<main id="main" class="main">
    <div class="container">
        <form action="<?php echo e(url('/agent/dashboard/search')); ?>/<?php echo e($user->id); ?>" method="post">
            <?php echo csrf_field(); ?>
            <table class="table" styla="margin-top:10%;">
                <thead>
                    <tr>
                        <th>From Date</th>
                        <th>To Date</th>
                        <th>Select the Status</th>
                        <th></th>
                        <th></th>
                    </tr>
                </thead>
                <tbody>
                    <tr>
                        <td><input type="date" name="fromDate" id="FromDate" class="form-control" required /></td>
                        <td><input type="date" name="toDate" id="toDate" class="form-control" required/></td>
                        <td>
                            <select name="status" id="status" class="form-control" required>
                                <option value="" selected>SELECT STATUS</option>
                                <option value="P">PENDING</option>
                                <option value="PC">PROCESSED</option>
                                <option value="S">SHIPPED</option>
                                <option value="D">DELIVERED</option>
                                <option value="H">HOLD</option>
                                <option value="CL">CANCELED</option>
                            </select>
                        </td>
                        <td><button class="btn btn-primary" type="submit">Search</button></td>
                        <td><a href="<?php echo e(url('/agent/generateReport')); ?>" class="btn btn-primary" >Generate Report</a></td>
                    </tr>
                </tbody>
            </table>
        </form>
        <div class="card" style="width: 100%;">
            <div class="card-body">
                <?php if($agent_assigned->isEmpty()): ?>
                    No Data Found
                <?php else: ?>
                    <h5 class="card-title" style="text-align:center;text-decoration:underline;">AGENT PANEL</h5>
                    <h6 class="card-subtitle mb-2 text-body-secondary"><?php echo e($user->name); ?></h6>
                    <p class="card-text"><input id="myInput" type="text" placeholder="Search orders" class="form-control"></p>
                    <table class="table">
                        <thead>
                            <tr>
                                <th>Sr No</th>
                                <th>Assign Order Id</th>
                                <th>Order Id</th>               
                                <th>Products</th>
                                <th>Date</th>
                                <th>Status</th>
                                <th>View</th>
                            </tr>
                        </thead>
                        <tbody id="myTable">
                            <?php $i = 0; ?>
                            <?php $__currentLoopData = $agent_assigned; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $agent_assigneds): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <?php $i++; ?>
                                <tr>
                                    <th scope="row"><?php echo e($i); ?></th>
                                    <td><?php echo e($agent_assigneds->agent_order_id); ?></td>
                                    <td>
                                        <?php
                                            $orderId = null;
                                            $processedOrders = [];
                                        ?>
                                        <!-- <?php $__currentLoopData = $assined; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $assineds): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?> -->
                                        <?php $__currentLoopData = $orders1; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $order): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <!-- <?php
                                                $string = $assineds->agent_order_id;
                                                $uid = substr($string, 0, -2);
                                            ?> -->
                                            <!-- <?php echo e($order->id); ?> -->
                                            <?php if($agent_assigneds->OID == $order->id && $agent_assigneds->agent_id == $order->agent_id): ?>
                                                <?php
                                                    $duplicate_string = $order->unique_order_id;
                                                ?>
                                                <?php if(!in_array($duplicate_string, $processedOrders)): ?>  
                                                    <?php echo e($order->unique_order_id); ?>


                                                    <?php
                                                        $orderId = $order->id;
                                                        $processedOrders[] = $duplicate_string; 
                                                        break;                                                   
                                                    ?>
                                                    <!-- break 2; -->
                                                <?php endif; ?>
                                            <?php endif; ?>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        <!-- <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> -->
                                    </td>
                                    <td>
                                        <?php
                                            $printedProducts = [];
                                        ?>
                                        <?php $__currentLoopData = $product_maped; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <?php $__currentLoopData = $key; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $product_mapeds): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <?php if($product_mapeds->agent_assinged_id == $agent_assigneds->id): ?>
                                                    <?php $__currentLoopData = $agent_product_list; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $product): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                        <?php if($product->id == $product_mapeds->product_id && !in_array($product->id, $printedProducts)): ?>
                                                            <?php echo e($product->item); ?><br>
                                                            <?php
                                                                $printedProducts[] = $product->id; 
                                                            ?>
                                                        <?php endif; ?>
                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                <?php endif; ?>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </td>
                                    <td>
                                        <?php
                                            $founddetails = false;
                                        ?>
                                        <?php $__currentLoopData = $order_details; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $order_detail): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <?php if($order_detail->order_id == $agent_assigneds->OID): ?>
                                                <?php echo e($order_detail->delivery_date); ?>

                                                <?php
                                                    $founddetails = true;
                                                    break;
                                                ?>
                                            <?php endif; ?>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </td>
                                    <td>
                                    <?php if($agent_assigneds->status=='P'): ?>
                                        <div class="alert alert-danger" role="alert" style="width: 80%;text-align: center;">PENDING</div>
                                        <?php elseif($agent_assigneds->status=='PC'): ?>
                                        <div class="alert alert-secondary" role="alert" style="width: 80%;text-align: center;">PROCESSED</div>
                                        <?php elseif($agent_assigneds->status=='CL'): ?>
                                        <div class="alert alert-info" role="alert" style="width: 80%;text-align: center;">CANCEL</div>
                                        <?php elseif($agent_assigneds->status=='H'): ?>
                                        <div class="alert alert-dark" role="alert" style="width: 80%;text-align: center;">HOLD</div>
                                        <?php elseif($agent_assigneds->status=='D'): ?>
                                        <div class="alert alert-success" role="alert" style="width: 80%;text-align: center;">DELIVERED</div>
                                        <?php elseif($agent_assigneds->status=='S'): ?>
                                        <div class="alert alert-success" role="alert" style="width: 80%;text-align: center;">SHIPPED</div>
                                    <?php endif; ?>
                                    </td>
                                    
                                    <td><a href="<?php echo e(url('/agent/dashboard')); ?>/<?php echo e($agent_assigneds->agent_order_id); ?>/<?php echo e($agent_assigneds->agent_id); ?>" class="btn btn-primary">VIEW</a></td>
                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        <tbody>
                    </table>
                <?php endif; ?>
            </div>
        </div>
    </div>
    
</main>

<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-YvpcrYf0tY3lHB60NNkmXc5s9fDVZLESaAA55NDzOxhy9GkcIdslK1eN7N6jIeHz" crossorigin="anonymous"></script>

<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.7.1/jquery.min.js" integrity="sha512-v2CJ7UaYy4JwqLDIrZUI/4hqeoQieOmAZNXBeQyjo21dadnwR+8ZaIJVT8EE2iyI61OV8e6M8PP2/4hpQINQ/g==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>

<script>
    $(document).ready(function(){
        $("#myInput").on("keyup", function() {
            var value = $(this).val().toLowerCase();
            $("#myTable tr").filter(function() {
            $(this).toggle($(this).text().toLowerCase().indexOf(value) > -1)
            });
        });
    });
</script>

<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.agent.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/rightflorist/public_html/ofadmin.rightflorist.org/resources/views/agent/dashboard.blade.php ENDPATH**/ ?>