<?php $__env->startSection('content'); ?>

    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.7.1/jquery.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/js/bootstrap.bundle.min.js"></script>
    <script src="<?php echo e(asset('admin/assets/extra-libs/multicheck/datatable-checkbox-init.js')); ?>"></script>
    <script src="<?php echo e(asset('admin/assets/extra-libs/multicheck/jquery.multicheck.js')); ?>"></script>
    <script src="<?php echo e(asset('admin/assets/extra-libs/DataTables/datatables.min.js')); ?>"></script>
    <script src="https://ajax.googleapis.com/ajax/libs/jqueryui/1.10.3/jquery-ui.min.js"></script>

    <link rel="stylesheet" type="text/css" href="<?php echo e(asset('admin/assets/extra-libs/multicheck/multicheck.css')); ?>">
    <link href="<?php echo e(asset('admin/assets/libs/datatables.net-bs4/css/dataTables.bootstrap4.css')); ?>" rel="stylesheet">

    <main id="main" class="main">
        <?php if( Session::get('permissions.user_type') == 'A' || Session::get('permissions.user_type') == 'SA'): ?>
	        <div class="page-breadcrumb">
			    <div class="row">
			        <div class="col-12 d-flex no-block align-items-center justify-content-between px-4 mb-2">
			        	<h4 class="page-title">HomeFeatureManagement</h4>
			            <div class="ml-auto text-right">
			                <a href="<?php echo e(url('admin/homefeaturemanagement/add/')); ?>/<?php echo e($site_id); ?>" class="btn btn-success">ADD HomeFeatureManagement</a>
			            </div>
			        </div>
			    </div>
			</div>
            <!-- modal head -->
            <head>
                <style>
                    #sortable { list-style-type: none; margin: 0; padding: 0; width: 80%; height: auto; }
                    #sortable li { margin: 0 3px 3px 3px; padding: 0.4em; padding-left: 1.5em; font-size: 1.4em; height: auto; }
                    #sortable li span { position: absolute; margin-left: -1.3em; }
                </style>
            </head>
            <!-- modal head close -->
            <div class="container-fluid">
                <div class="row">
                    <div class="col-12">
                        <div class="card">
                            <div class="card-body">
                                <?php $__currentLoopData = ['danger', 'warning', 'success', 'info']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $msg): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <?php if(Session::has('alert-' . $msg)): ?>
                                        <h4 class="font-weight-light alert alert-<?php echo e($msg); ?>"><?php echo e(Session::get('alert-' . $msg)); ?></h4>
                                    <?php endif; ?>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                <h5 class="card-title">HomeFeatureManagement</h5>
                                <?php if(count($result) > 0): ?>
                                    <div class="table-responsive">
                                        <table id="zero_config" class="table table-striped table-bordered">
                                            <thead>
                                                <tr>
                                                    <th style="width: 5%"><b>No.</b></th>
                                                    <th style="width: 25%"><b>Title</b></th>
                                                    <th style="width: 35%"><b>Site</b></th>
                                                    <th style="width: 35%"><b>Category</b></th>
                                                    <th style="width: 20%"><b>Created Date</b></th>
                                                    <th style="width: 6%"><b>Status</b></th>
                                                    <th style="width: 9%">Action</th>
                                                    <th style="width: 9%">Sort</th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                                <?php $i=1; ?>
                                                <?php $__currentLoopData = $result; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $data): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <tr>
                                                    <td><?php echo e($i + $key); ?></td>
                                                    <td><?php echo e($data->title); ?></td>
                                                    <td>
                                                        <?php $__currentLoopData = $site; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $sites): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                            <?php if($sites->id == $data->site_id): ?>
                                                                <?php echo e($sites->site_name); ?>

                                                            <?php endif; ?>
                                                       <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                    </td>
                                                    <td>
                                                       <?php $__currentLoopData = $category; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $cat): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                            <?php if($cat->id == $data->category_id): ?>
                                                                <?php echo e($cat->name); ?>

                                                            <?php endif; ?>
                                                       <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                    </td>
                                                    <td><?php echo e(date('d-m-Y', strtotime($data->created_at))); ?></td>
                                                    <td>
                                                        <label class="switch">
                                                            <input type="checkbox" class="blockstatus" name="stat" id="stat" data-id="<?php echo e(base64_encode($data->id)); ?>" <?php if($data->is_block == 'N'): ?> checked <?php endif; ?>>
                                                            <span class="slider roundsemi"></span>
                                                        </label>
                                                        <label id="status-info-<?php echo e($data->id); ?>" class="status-stat"></label>
                                                    </td>
                                                    <td>
                                                        <a href="<?php echo e(route('admin.homefeaturemanagement.edit', $data->id.'?redirect='.urlencode($request->fullUrl()))); ?>">
                                                            <i class="fas fa-edit"></i>
                                                        </a>
                                                    </td>
                                                    <td><button data-toggle="modal" data-target="#homefeatureproduct" data-homeid="<?php echo e($data->category_id); ?>" class="btn btn-primary home">Sort</button></td>
                                                </tr>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                            </tbody>
                                        </table>
                                    </div>
                                <?php else: ?>
                                    <div class="card">No Data Found...</div>
                                <?php endif; ?>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        <?php endif; ?>    
        
    </main><!-- End #main -->

    <script>

        /****************************************
         *       Basic Table                   *
         ****************************************/
        $('#zero_config').DataTable({
            "order": [[5, "desc"]] 
        });
        
        $(function(){
            setTimeout(function(){ $('.alert').hide(); }, 3000);
            var status, id;
            $('.blockstatus').change(function(){
                if(this.checked){
                    status = 'Y';
                }else{
                    status = 'N'
                }
                id = $(this).attr('data-id');
                var ajaxurl = "<?php echo e(route('admin.homefeaturemanagement.status')); ?>";     
                //alert(ajaxurl);
                $.ajax({
                    type : 'POST',
                    url : ajaxurl,
                    data : { 'id' : id, 'status' : status },
                    headers: {
                            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    success : function(response){
                        response = JSON.parse(response);
                        //alert('status-info-'+id);
                        if(response.status == 1){
                            $('#status-info-'+response.id).html(response.event).fadeIn(100).delay(1000).fadeOut();;
                        }
                    },
                    error : function(){
                        $('.selected_records_data').html('<span class="error-msg text-danger">There was an unexpected error!! Please try again later.</span>');
                    }
                });
            });
        })

       
        //ajax call thats occcur to show multiple product list in the modal

        $(document).ready(function(){
            $('.home').click(function (e){
                e.preventDefault();
                var home_id = $(this).attr('data-homeid');

                
                $.ajax({
                    type : 'POST',
                    url : "<?php echo e(route('admin.homefeaturemanagement.dragproduct')); ?>",
                    data : {'category_id' : home_id },
                    headers: {
                            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    success : function(response){
                        $('#sortable').html(response);
                        $('#homefeatureproduct').modal('show');
                    }
                });
            });
        });

        //sortable method called and ajax is called for update the sort field in tha database
       
        $( "#sortable" ).sortable({
            stop: function(event, ui) {
                var $data = $.map($(this).find('li'), function(e) {
                    return {id : $(e).data('id'), position : $(e).index(), catid : $(e).data('catid')};
                });
                console.log($data);
                
                $.ajax({
                    type : 'POST',
                    url : "<?php echo e(route('admin.homefeaturemanagement.sorthomepageproduct')); ?>",
                    data : { data : JSON.stringify($data) },
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    success : function(response){
                        response = JSON.parse(response);
                        if(response.status == 'success'){
                            alert(response.msg);
                        }
                        
                    },
                    error : function(){

                    }
                });
                
                
            }
        });

        $(function () {
			$(".btn-default, .close").click(function () {
				$("#homefeatureproduct").modal("hide");
			});
		});

    </script>

<?php $__env->stopSection(); ?>

<!-- Modal -->
<div class="modal fade" id="homefeatureproduct" role="dialog">
    <div class="modal-dialog">
    <script>
    </script>
      <!-- Modal content-->
      <div class="modal-content">
        <div class="modal-header">
          <button type="button" class="close" data-dismiss="modal">&times;</button>
          <!-- <h4 class="modal-title">Modal Header</h4> -->
        </div>

        <div class="modal-body">
            <ul id="sortable">
                
            </ul>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
        </div>
      </div>
      
    </div>

</div>

<?php echo $__env->make('layouts.admin.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/rightflorist/public_html/ofadmin.rightflorist.org/resources/views/admin/homefeaturemanagement/list.blade.php ENDPATH**/ ?>